#!/bin/sh

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "ipv6"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--post)
		if [ "0.0.0.0" = "${NEW_ADDRESS}" ]; then
			return
		fi
		wan_ipv6_setting="/etc/sysconfig/networking/ipv6-${IFNAME}"
		if [ -f "${wan_ipv6_setting}" ]; then
			type=$(synogetkeyvalue "${wan_ipv6_setting}" type)
			# avoid infinite loop of restarting dhcp
			if [ "6rd" = "${type}" ]; then
				return
			fi
		fi
		/usr/syno/sbin/synonetdtool --init-ipv6-router "${IFNAME}" "${NEW_ADDRESS}"
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

